Subject: Tron would be better if

From: [email-masked] (nocan do)
Date: Fri, 01 Oct 1999 07:25:23 GMT

hello
First of all, this is fun game and an interesting project.

However, Tron would be better if the following pseudocode was added after detect keypress:

if (direction of key pressed == opposite of direction moving) then
   set direction of key pressed = direction moving

In other words, if a player attempts to go in the direction opposite of their movement, instead of dying the key should be ignored. Many times (about half of my games) I've died when attempting to do a quick u-turn because the first key press didn't take.
I expect that your system would learn faster if the animats didn't register so many wins due to this simple error.

Also, the border around the game area should be a darker color so that it would be easier to see trails left on the edge of the game area.

Could I get a copy of your source code?

Thanks,
Brian Stamper
one of the Users